
From: Nick Sillik <n.sillik@temple.edu>

This fixes -Wundef errors in:
fs/reiser4/plugin/item/static_stat.c

Signed-off-by: Nick Sillik <n.sillik@temple.edu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiser4/plugin/item/static_stat.c |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

diff -puN fs/reiser4/plugin/item/static_stat.c~reiser4-wundef-fix-2 fs/reiser4/plugin/item/static_stat.c
--- devel/fs/reiser4/plugin/item/static_stat.c~reiser4-wundef-fix-2	2005-07-28 16:35:16.000000000 -0700
+++ devel-akpm/fs/reiser4/plugin/item/static_stat.c	2005-07-28 16:35:16.000000000 -0700
@@ -36,7 +36,7 @@ move_on(int *length /* space remaining i
 	assert("nikita-617", *length >= 0);
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /* ->print() method of static sd item. Prints human readable information about
    sd at @coord */
 reiser4_internal void
@@ -415,7 +415,7 @@ save_lw_sd(struct inode *inode /* object
 	return 0;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 static void
 print_lw_sd(const char *prefix, char **area /* position in stat-data */ ,
 	    int *len /* remaining length */ )
@@ -505,7 +505,7 @@ save_unix_sd(struct inode *inode /* obje
 	return 0;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 static void
 print_unix_sd(const char *prefix, char **area /* position in stat-data */ ,
 	      int *len /* remaining length */ )
@@ -569,7 +569,7 @@ save_large_times_sd(struct inode *inode 
 	return 0;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 static void
 print_large_times_sd(const char *prefix, char **area /* position in stat-data */,
 		     int *len /* remaining length */ )
@@ -674,7 +674,7 @@ save_symlink_sd(struct inode *inode, cha
 	return result;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 static void
 print_symlink_sd(const char *prefix, char **area /* position in stat-data */ ,
 		 int *len /* remaining length */ )
@@ -1049,7 +1049,7 @@ static int save_crypto_sd(struct inode *
 	return result;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 static void
 print_crypto_sd(const char *prefix, char **area /* position in stat-data */ ,
 		 int *len /* remaining length */ )
@@ -1082,7 +1082,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 			       .absent = NULL,
 			       .save_len = save_len_lw_sd,
 			       .save = save_lw_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			       .print = print_lw_sd,
 #endif
 			       .alignment = 8
@@ -1100,7 +1100,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 		       .absent = absent_unix_sd,
 		       .save_len = save_len_unix_sd,
 		       .save = save_unix_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 		       .print = print_unix_sd,
 #endif
 		       .alignment = 8
@@ -1118,7 +1118,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 		       .absent = NULL,
 		       .save_len = save_len_large_times_sd,
 		       .save = save_large_times_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 		       .print = print_large_times_sd,
 #endif
 		       .alignment = 8
@@ -1137,7 +1137,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 			  .absent = NULL,
 			  .save_len = save_len_symlink_sd,
 			  .save = save_symlink_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			  .print = print_symlink_sd,
 #endif
 			  .alignment = 8
@@ -1155,7 +1155,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 			 .absent = absent_plugin_sd,
 			 .save_len = save_len_plugin_sd,
 			 .save = save_plugin_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			 .print = NULL,
 #endif
 			 .alignment = 8
@@ -1173,7 +1173,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 				.absent = NULL,
 				.save_len = save_len_flags_sd,
 				.save = save_flags_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 				.print = NULL,
 #endif
 				.alignment = 8
@@ -1191,7 +1191,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 				.absent = NULL,
 				.save_len = save_len_flags_sd,
 				.save = save_flags_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 				.print = NULL,
 #endif
 				.alignment = 8
@@ -1210,7 +1210,7 @@ sd_ext_plugin sd_ext_plugins[LAST_SD_EXT
 				/* return IO_ERROR if smthng is wrong */
 				.save_len = save_len_crypto_sd,
 				.save = save_crypto_sd,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 				.print = print_crypto_sd,
 #endif
 				.alignment = 8
_
